Skip to main content
POST
/
v1
/
wallets
/
{id}
/
rescan
/
blocks
Deposit Finder
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{id}/rescan/blocks \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "transactionHash": "TRANSACTION_HASH"
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{id}/rescan/blocks"

payload = { "transactionHash": "TRANSACTION_HASH" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({transactionHash: 'TRANSACTION_HASH'})
};

fetch('https://api.blockradar.co/v1/wallets/{id}/rescan/blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Block rescan initiated successfully",
  "statusCode": 200
}
{
"message": "Invalid transaction hash",
"statusCode": 400
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
transactionHash
string
Example:

"TRANSACTION_HASH"

Response

200

message
string
Example:

"Block rescan initiated successfully"

statusCode
number
Example:

200